<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Courses\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class CourseCour extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="CourseCour"; 
		$this->Alias = "CourseCour"; 

		$this->Name = new Property("Name", "Name", TEXTAREA,  false, $this->Alias); 
		$this->Code = new Property("Code", "Code", TEXTAREA,  false, $this->Alias); 
		$this->ShortDescription = new Property("ShortDescription", "ShortDescription", TEXTAREA,  false, $this->Alias); 
		$this->Description = new Property("Description", "Description", TEXTAREA,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>